Subject: [Ietf-not43] Result vs. Entity

From: [email-masked] (Ted Hardie)
Date: Thu, 27 Feb 2003 14:27:59 -0800

Scott,
         Thanks for your review of the document.  May I ask for
a pointer (or pointers) in the EPP document set that describes the associations
you're concerned about?   That may help me follow the problem here.  My
reading of the CRISP requirement is to handle the lookup equivalent to:

"I want to know the administrative data about $FOO" where $FOO
is a nameserver which might be referenced by an FQDN, an IPv4 address
or and IPv6 address".  If $FOO is referenced by an IPv4 or IPv6 address
to which multiple names are bound, I would expect the protocol
to return all of them in a single result.  This doesn't mean it
should elide data; it just means it treats it as a lookup rather than
as a search.  So,  assume I believe that 216.168.254.21 is a nameserver and
I use CRISP to look up the administrative data associated with it.  I get 
back the
admin data associated which is appropriate to my level of access:
(Admin Contact, Geo Location, Name1, Name2, and Name3) or whatever
the equivalent is in the chosen protocol. These might have to be separate
records (especially, it strike me, in the presence of anycast nameservers),
but they would still be returned as a single result of the lookup.

         Am I off base from others' understanding of this?
                                 regards,
                                         Ted

At 04:19 PM 2/27/2003 -0500, Hollenbeck, Scott wrote:
>Someone just brought a possible requirements wording issue to my attention.
>In EPP, we allow an IP address to be associated with multiple server
>names/aliases.  The CRISP requirements draft describes lookup responses like
>this:
>
> > 3.2.1 Lookups
> >
> > 3.2.1.1 Protocol Requirement
> >
> >    The protocol MUST contain the following lookup functions:
> >
> > ...
> >
> >    2.  Nameserver lookup given a fully-qualified host name or IP address
> > of a nameserver.
> >
> > ...
> >
> > 3.2.1.2 Service Description
> >
> >    These lookups are all single index queries and should produce zero or
> > only one result.
>
>It's entirely possible that an IP address query might need to return
>multiple host names, so perhaps the word "result" is a bit misleading in the
>service description.  Would it be possible to change "result" to a word like
>"entity" instead?:
>
>"...and should return zero or one entity."
>
>-Scott-
>_______________________________________________
>Ietf-not43 mailing list
>[email-masked]
>http://lists.verisignlabs.com/mailman/listinfo/ietf-not43

---

From: [email-masked] (Andrew Newton)
Date: Thu, 27 Feb 2003 17:51:41 -0500

Ted Hardie wrote:
> If $FOO is referenced by an IPv4 or IPv6 address
> as a search.

This is how I always thought of it too.  Perhaps it could be 
interpretted that each individual name is a separate result.  If this is 
the confusion, perhaps some words to describing result would fix that. 
I'm find with "entity", too.

-andy